// Sum.java

public class Sum {
    public static void main(String[] args) {
        System.out.println("number of arguments: " + args.length);
        
        int sum = 0;
        for (String argument : args) {
            sum = sum + argument;
            System.out.println(argument);
            System.out.println(sum);
        }
        
        System.out.println(sum);
    }
}

